curl --request GET \
--url https://api.engine.usesophic.com/instruments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/instruments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/instruments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"days_to_maturity": 182,
"decimal_precision": 2,
"enforce_trading_rules": true,
"id": "<string>",
"initial_auction_date": "2024-12-30",
"initial_issue_date": "2025-01-02",
"instrument_type": "bill",
"isin": "US5949181045",
"issuer": "United States Department of the Treasury",
"issuer_country": "US",
"issuer_credit_rating": "AA+",
"latest_auction_date": "2025-01-27",
"latest_issue_date": "2025-01-30",
"maturity_date": "2025-07-03",
"minimum_initial_cash_investment": "1000.00",
"minimum_trading_quantity": "1.00",
"name": "Apple Inc.",
"price_type": "percent",
"pro_traders_only": true,
"required_cash_increment": 100,
"rollout_stage": "ga",
"supports_automatic_rollover": true,
"symbol": "US5949181045",
"trading_currency": "USD",
"trading_increment": "0.01",
"trading_status": "buy_sell",
"about": "Common stock listed on the Nasdaq Global Select Market.",
"exchange": "XNAS",
"icon_url": "https://storage.googleapis.com/sophic-assets/instrument-icons/in_x7GqT.png",
"ticker": "AAPL"
}
]{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}List instruments
Retrieve all instruments. Note that only instruments visible for your tenant will be returned.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return instruments of the given types.
money_market_fund, stock, bill, bond, etf, mutual_fund, currency_pair, amc Return instruments with the given trading statuses.
buy_sell, buy_only, sell_only, not_trading Response
OK
- Bill
- CurrencyPair
- Bond
- MoneyMarketFund
- AMC
- ETF
Calendar days remaining until maturity.
182
Decimal places used by the trading increment.
2
Whether order amounts must satisfy the instrument trading rules.
Unique resource identifier.
Date of the first auction.
"2024-12-30"
Date the instrument was first issued.
"2025-01-02"
Instrument type.
International Securities Identification Number.
"US5949181045"
Name of the issuer.
"United States Department of the Treasury"
ISO 3166-1 alpha-2 country code of the issuer.
"US"
Issuer credit rating.
"AA+"
Date of the latest auction, including tap issues.
"2025-01-27"
Date of the latest issue, including tap issues.
"2025-01-30"
Date the instrument matures.
"2025-07-03"
Minimum cash amount accepted for an initial investment.
"1000.00"
Smallest quantity accepted for an order.
"1.00"
Display name of the instrument.
"Apple Inc."
Price quotation type.
percent, money Whether the instrument is restricted to professional investors.
Cash increment accepted above the minimum investment.
100
Availability stage of the instrument.
ga, beta, provisional Whether positions can roll over automatically at maturity.
Market identifier, such as an ISIN or currency pair.
"US5949181045"
Currency used to trade the instrument.
EUR, USD, GBP "USD"
Smallest quantity increment accepted for orders.
"0.01"
Current trading status.
buy_sell, buy_only, sell_only, not_trading Summary of the instrument.
"Common stock listed on the Nasdaq Global Select Market."
MIC of the listing venue.
"XNAS"
Public CDN URL of the instrument's icon.
"https://storage.googleapis.com/sophic-assets/instrument-icons/in_x7GqT.png"
Ticker symbol of the security.
"AAPL"